#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# ++++++++++++++++++++++++++++++++++++++++++++++++++
# INICIA Parámetros a modificar por el usuario

x = 9                          # Cantidad de imágenes en una fila
y = 5                          # Cantidad de imágenes en una columna
archImagen = 'imagen%03d.png'  # Nombre general del conjunto de imágenes
formatoArchivo = '.png'        # Formato de imagen de los archivos
salida = 'imgArmada'           # Nombre de archivo de salida

# TERMINA Parámetros a modificar por el usuario
# ++++++++++++++++++++++++++++++++++++++++++++++++++


import os

tile = 0
for i in range(x):
    columna = ''
    for j in reversed(range(y)):
        revTile = (i*y + j) + 1
        nombreArch = archImagen % revTile
        columna += nombreArch + ' '
        tile += 1
    archColumna = 'columna' + str(i) + formatoArchivo
    comandoColumna = 'convert ' + columna + '-append ' + archColumna
    os.system(comandoColumna)
    print("Archivo %s generado" % archColumna)

print()

archSalida = salida + formatoArchivo
fila = ''
for i in range(x):
    nombreArchFila = 'columna' + str(i) + formatoArchivo
    fila += nombreArchFila + ' '
comandoFila = 'convert ' + fila + '+append ' + archSalida
os.system(comandoFila)
borrar = 'rm columna*' + formatoArchivo
os.system(borrar)
print("Archivo %s generado" % archSalida)

